Bug 2601 - [UPDATE REQUEST] gnome-screensaver
: [UPDATE REQUEST] gnome-screensaver
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 15:03 MSD by Andrew Lukoshko
Modified: 2013-10-23 13:35 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-08-28 15:03:55 MSD
Previously, when using virt-manager, virt-viewer, and spice-xpi applications,
users were unable to enter the gnome-screensaver password after the screen saver
started. This happened only when the VM system used the Compiz composting window
manager. After users released the mouse cursor, then pressed a key to enter a
password, the dialog did not accept any input. This happened due to incorrect
assignment of window focus to applications that did not drop their keyboard
grab. With this update, window focus is now properly assigned to the correct
place, and attempts to enter the gnome-screensaver password no longer fail in
the described scenario.

http://rhn.redhat.com/errata/RHBA-2013-1178.html

https://abf.rosalinux.ru/build_lists/1222333
https://abf.rosalinux.ru/build_lists/1222334
Comment 1 Andrew Lukoshko 2013-08-28 15:04:06 MSD
RELS 6.4
Comment 2 Vladimir Potapov 2013-08-30 17:29:29 MSD
Error 500
Comment 3 Vladimir Potapov 2013-08-31 08:06:23 MSD
gnome-screensaver-2.28.3-24.res6.1
*********************** RHEL Advisory *******************
Previously, when using virt-manager, virt-viewer, and spice-xpi applications,
users were unable to enter the gnome-screensaver password after the screen saver
started. This happened only when the VM system used the Compiz composting window
manager. After users released the mouse cursor, then pressed a key to enter a
password, the dialog did not accept any input. This happened due to incorrect
assignment of window focus to applications that did not drop their keyboard
grab. With this update, window focus is now properly assigned to the correct
place, and attempts to enter the gnome-screensaver password no longer fail in
the described scenario.
**********************************************************
QA Verified